All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::IndexIVFPQStats Struct Reference

`#include <IndexIVFPQ.h>`

## Public Member Functions

void | reset ()

## Public Attributes

size_t | nrefine
size_t | n_hamming_pass
size_t | search_cycles
size_t | refine_cycles

## Detailed Description

statistics are robust to internal threading, but not if IndexIVFPQ::search_preassigned is called by multiple threads

Definition at line 135 of file IndexIVFPQ.h.

The documentation for this struct was generated from the following files:

- /tmp/faiss/IndexIVFPQ.h
- /tmp/faiss/IndexIVFPQ.cpp